import { library, config } from '@fortawesome/fontawesome-svg-core'
import { FontAwesomeIcon } from '@fortawesome/vue-fontawesome'
import { faEnvelope, faBlog, faCookieBite, faCircleXmark, faLink } from '@fortawesome/free-solid-svg-icons';
import { faCircleQuestion, faCopyright } from '@fortawesome/free-regular-svg-icons';
import { faOrcid, faLinkedin, faGithub, faAppStoreIos, faGooglePlay, faTwitter, faInstagram, faMastodon, faFlickr, faSoundcloud, faYoutube, faDeviantart } from '@fortawesome/free-brands-svg-icons'

// This is important, we are going to let Nuxt worry about the CSS
config.autoAddCss = false;

// You can add your icons directly in this plugin. See other examples for how you
// can add other styles or just individual icons.

library.add(
  faEnvelope, faBlog, faCookieBite, faCircleXmark, faLink,
  faCircleQuestion, faCopyright,
  faOrcid, faLinkedin, faGithub, faAppStoreIos, faGooglePlay, faTwitter, faInstagram, faMastodon, faFlickr, faSoundcloud, faYoutube, faDeviantart
);

export default defineNuxtPlugin((nuxtApp) => {
  nuxtApp.vueApp.component('fa-icon', FontAwesomeIcon);
})
